#ifndef WOKER_H
#define WOKER_H

#include <QObject>
#include <QProcess>
#include <QMutex>
#include <QDebug>


class Woker : public QObject
{
    Q_OBJECT
public:
    explicit Woker(QObject *parent = 0);
    void startProcess(){work_process.start(process_string);}
    void setProcessString(QString new_string){process_string = new_string;};
    QByteArray workBuffer(){return work_buffer;}

private:
    QProcess work_process;
    QByteArray work_buffer; //здесь будем хранить данные, считанные из стандартного потока для чтения (процесса)
    QString process_string; //     ()


signals:
 void workEnd();
public slots:
    void readStandartProcessOutput();
    void readStandartProcessError();
};

#endif // WOKER_H
